unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmMain = class(TForm)
    Memo1: TMemo;
    btnSimple: TButton;
    btnExpression: TButton;
    btnSimpleAndExpression: TButton;
    btnMoreComplex: TButton;
    Label1: TLabel;
    procedure btnSimpleClick(Sender: TObject);
    procedure btnExpressionClick(Sender: TObject);
    procedure btnSimpleAndExpressionClick(Sender: TObject);
    procedure btnMoreComplexClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

uses
  Simple, Expression, SimpleExpression, MoreComplex;

procedure TfrmMain.btnSimpleClick(Sender: TObject);
begin
  with TfrmSimple.Create(Self) do
  begin
    ShowModal;
    Free;
  end;
end;

procedure TfrmMain.btnExpressionClick(Sender: TObject);
begin
  with TfrmExpression.Create(Self) do
  begin
    ShowModal;
    Free;
  end;
end;

procedure TfrmMain.btnSimpleAndExpressionClick(Sender: TObject);
begin
  with TfrmSimpleExpression.Create(Self) do
  begin
    ShowModal;
    Free;
  end;
end;

procedure TfrmMain.btnMoreComplexClick(Sender: TObject);
begin
  with TfrmMoreComplex.Create(Self) do
  begin
    ShowModal;
    Free;
  end;
end;

end.
